Stocks/Brands
List brands
Returns a paginated list of brands with optional filtering.
AuthorizationBearer <token>
In: header
Query Parameters
search?string
created_at?string
updated_at?string
is_exclusive?boolean
Filter by exclusive brand flag
name?stringDeprecated
Filter by brand name (supports operators: sw, ew, ct, eq)
description?stringDeprecated
Filter by observations/description
min_profit_margin?numberDeprecated
Filter by minimum profit margin (supports operators: gt, gte, lt, lte)
filter[name][operator]?string
Operators: like, sw, ew. Example: filter[name][like]=value
filter[description][operator]?string
Operators: like, sw, ew. Example: filter[description][like]=value
filter[min_profit_margin][operator]?number
Operators: gt, gte, lt, lte. Example: filter[min_profit_margin][gt]=value
filter?object
Advanced filter as JSON object
Empty Object
limit?integer
Items per page. Default 50, maximum 250; a larger value is truncated to 250.
Default
50Range
1 <= value <= 250order?string
Sort field
sorder?string
Sort order (ASC or DESC)
page?integer
Page number. Default 1; a value below 1 counts as 1.
Default
1Range
1 <= valueResponse Body
curl -X GET "https://og-tenant1.test:8003/api/v2/stocks/brands?search=string&created_at=string&updated_at=string&is_exclusive=true&name=string&description=string&min_profit_margin=0&filter%5Bname%5D%5Boperator%5D=string&filter%5Bdescription%5D%5Boperator%5D=string&filter%5Bmin_profit_margin%5D%5Boperator%5D=0&limit=50&order=string&sorder=string&page=1"{
"data": [
{
"id": 0,
"name": "string",
"observations": "string",
"is_exclusive": true,
"min_profit_margin": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"per_page": 50,
"current_page": 1,
"has_more": true
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}